{ pkgs, ... }:
{
  systemd.services."weekly-rebuild" = {
    serviceConfig = {
      Type = "oneshot";
      ExecStart = "${pkgs.nixos-rebuild}/bin/nixos-rebuild boot --flake git+https://git.t-juice.club/torjus/nixos-servers";
    };
  };
  systemd.timers."weekly-rebuild" = {
    enable = true;
    wantedBy = [ "timers.target" ];
    timerConfig = {
      OnCalendar = "Sun 06:00:00";
    };
  };
}
